<div class="card page-card card-cover" id={{this.id}} ...attributes>
  <PictureWithOptions
    class="card-cover"
    @deviceSize={{@deviceSize}}
    @src={{this.picture.picture}}
    @name={{this.picture.name}}
    @hash={{this.picture.hash}}
    @options={{this.pictureOptions}}
    {{on "click" this.transitionToCampaign}}
    data-name={{@value.name}}
    data-path="{{@path}}.data.picture"
  />

  <TextWithOptions @tag="a" @to={{this.destination}} class="d-none" {{did-insert this.linkSetup}} @isEditor={{@isEditor}}>
    {{@record.name}}
  </TextWithOptions>

  <Card::Components::ExtraTitleFields
    @record={{@record}}
    @options={{@value.data}}
    @deviceSize={{@deviceSize}}
    @name={{@value.name}}
    @gid={{@value.gid}}
    @path={{@path}}
    {{did-insert this.linkSetup}}
  />

  <Card::Components::ExtraFields
    @record={{@record}}
    @options={{@value.data}}
    @deviceSize={{@deviceSize}}
    {{did-insert this.linkSetup}}
  />

  {{#if @record.canEdit}}
    <div class="record-options card-options {{if this.isAdminView ' is-open'}}" {{did-insert this.setupOptions}}>
      <button
        type="button"
        class="btn btn-extend rounded-circle {{if this.isAdminView ' rotate'}}"
        {{on "click" this.showAdmin}}
      >
        <FaIcon @icon="ellipsis-h" />
      </button>

      <div class="dropdown-menu">
        <ModelActions::Record @record={{@record}} @onDelete={{@onDelete}} />
      </div>
    </div>
  {{/if}}
</div>